%define oname   glib2
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    3.0.7
Release:    %mkrel 3
Summary:    Ruby/GLib2 is a Ruby binding of GLib-2.x
License:    GPLv2
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
#Patch0:     glib2-2.0.2-cairo_ext.pacth
# GLib2 side change
# From git format-patch 3.0.7
Patch7:	ruby-gnome2-0007-glib2-add-RVAL2CSTR_PTR_ACCEPT_NIL.patch
Patch8:	ruby-gnome2-0008-glib2-don-t-convert-encoding-to-UTF-8-for-PTR-mode.patch
Patch9:	ruby-gnome2-0009-glib2-add-RVAL2CSTR_RAW-and-RVAL2CSTR_RAW_ACCEPT_NIL.patch
Patch10:	ruby-gnome2-0010-glib2-add-missing-function-declarations.patch
Patch11:	ruby-gnome2-0011-glib2-support-GLib-Variant.new-value-type.patch
# F-19 %%_bindir/ruby wrapper pollutes environ, which makes
# g_spawn_async() test failure
Patch100:	rubygem-glib2-1.2.1-rubywrapper-pollutes-env.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: glib2-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)

%description
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_sitelibdir}/glib-test-init.rb
%{header_dir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p2

%build
%gem_build

%install
%gem_install -d

install -D -m644 test/glib-test-init.rb %{buildroot}%{ruby_sitelibdir}/glib-test-init.rb


# move header files, C extension files to the correct directory
pushd %{buildroot}
mkdir -p .%{header_dir}
rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}
popd



%changelog
* Sun Dec 20 2015 tv <tv> 3.0.7-3.mga6
+ Revision: 912638
- remove bogus mv

  + pterjan <pterjan>
    - Drop unused exclude

* Sun Nov 01 2015 tv <tv> 3.0.7-1.mga6
+ Revision: 897058
- adjust file list
- new release + sync patches with FC
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 750092
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-8.mga5
+ Revision: 688819
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-7.mga4
+ Revision: 562769
- Fix patch now that extension is no longer duplicated

* Fri Dec 27 2013 pterjan <pterjan> 2.0.2-6.mga4
+ Revision: 561001
- Fix gem macros
- Fix file list

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558692
- Fix build when ruby-glib2 is not already available
- Fix extension packaging + make mkmf-gnome2 able to find them

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557510
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538030
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488336
- new version 2.0.2
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.1.5-6.mga4
+ Revision: 488191
- update file list
- update file list

* Sat Sep 28 2013 fwang <fwang> 1.1.5-5.mga4
+ Revision: 488173
- update file list
- install headers
- update file list

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 1.1.5-4.mga4
+ Revision: 477461
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 396004
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312194
- update file list
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147906
- new version 1.0.3

* Sun Sep 18 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 145087
- update file list
- update file list
- use gem tarball
- use gem

* Sun Sep 18 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 145069
- disble check
- build glib and gio
- 1.0.2

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71366
- Add glib-test-init.rb in devel subpackage since it?\226?\128?\153s required for other
  ruby-gnome2 modules (pango for instance)
- oops, forgot to add the patches
- New version 0.90.8
- add 2 patches:
  - prefer system test-unit over bundled one
  - subsequently add it as a BR
  - do not call make in test
- move files in vendorlibdir/vendorarchdir
- fix file list
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49082
- imported package ruby-glib2

